Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ActionListener Class Reference

Specialised EventListener for receiving component-specific ActionEvent events. More...

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::ActionListener:

[legend]
List of all members.

## Public Methods

virtual void | actionPerformed (ActionEvent *e)=0
| Invoked when an action occurs.
virtual bool | isMulticaster () const
| Returns whether or not the listener is a multicaster.

## Detailed Description

Specialised EventListener for receiving component-specific ActionEvent events.

Definition at line 158 of file OgreEventListeners.h.

## Member Function Documentation

virtual void Ogre::ActionListener::actionPerformed | ( | ActionEvent * | e | ) | `[pure virtual]`

| Invoked when an action occurs. Implemented in Ogre::EventMulticaster, and Ogre::ScrollBarGuiElement. Referenced by Ogre::ActionTarget::processActionEvent().

virtual bool Ogre::EventListener::isMulticaster | ( |  | ) | const`[virtual, inherited]`

| Returns whether or not the listener is a multicaster. Reimplemented in Ogre::EventMulticaster. Definition at line 65 of file OgreEventListeners.h. Referenced by Ogre::EventMulticaster::convertListenerToMulti(), and Ogre::EventMulticaster::removeInternal().

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:43 2004